<nav class="navbar navbar-dark bg-primary">
  <a class="navbar-brand" href="/">
    Ejercicio EMKODE
  </a>
</nav>

<div class="container">
  <div class="row">
    <div class="col-md-8 mt-4">
      <ul class="list-group">
        <li 
        *ngFor="let employee of employeeArray"
         class="list-group-item list-group-item-action" (click)="openForEdit(employee)"
          [class.active]='employee == selectedEmployee'>
          <span class="badge badge-primary">{{employee.id}}</span> {{employee.nombre}} - {{employee.apellido}} - {{employee.email}} - {{employee.telefono}} - {{employee.acciones}}
        </li>
      </ul>
    </div>
      <div class="card mt-4">
        <div class="card-body">
          <div class="card-title">
            Inserta un nuevo empleado
            <div>
              <div class="form-group">
                <input type="text" [(ngModel)]="selectedEmployee.nombre" placeholder="Inserta nombre" class="form-control ">
              </div>
              <div class="form-group">
                <input type="text" [(ngModel)]="selectedEmployee.apellido" placeholder="Inserta apellido" class="form-control ">
              </div>
              <div class="form-group">
                <input type="email" [(ngModel)]="selectedEmployee.email" placeholder="Inserta un correo" class="form-control ">
              </div>
              <div class="form-group">
                <input type="text" [(ngModel)]="selectedEmployee.telefono" placeholder="Inserta el telefono" class="form-control ">
              </div>
              <div class="form-group">
                <input type="text" [(ngModel)]="selectedEmployee.acciones" placeholder="Inserta acciones" class="form-control ">
              </div>
              <button (click)="addOrEdit()" class="btn btn-primary">
                Submit
              </button>
              <button
               *ngIf='selectedEmployee.id !== 0'
               class="btn btn-danger"
               (click)="delete()"
               >
                Delete
              </button>
            </div>
          </div>
        </div>
      </div>
  </div>
</div>
